package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.project.entity.ProjectEntity;
import com.ycwl.basic.model.pc.project.req.ProjectReqQuery;
import com.ycwl.basic.model.pc.project.resp.ProjectRespVO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 景区项目管理Mapper
 * 
 * @Author: Claude
 * @Date: 2025-01-15
 */
@Mapper
public interface ProjectMapper {
    
    /**
     * 分页查询项目列表
     */
    List<ProjectRespVO> list(ProjectReqQuery projectReqQuery);
    
    /**
     * 根据ID查询项目详情
     */
    ProjectRespVO getById(Long id);
    
    /**
     * 新增项目
     */
    int add(ProjectEntity project);
    
    /**
     * 根据ID删除项目
     */
    int deleteById(Long id);
    
    /**
     * 更新项目信息
     */
    int update(ProjectEntity project);
    
    /**
     * 更新项目状态
     */
    int updateStatus(Long id);
}